# -*- coding:utf-8 -*-
# Author:shifu204

import urllib.request
import urllib.parse
from lxml import etree
from selenium import webdriver
from bs4 import BeautifulSoup
import requests
from selenium.webdriver.chrome.options import Options

def loadPage(url):
    """
        作用：根据url发送请求，获取服务器响应文件
        url: 需要爬取的url地址
    """

    chrome_options = Options()
    chrome_options.add_argument('--headless')
    chrome_options.add_argument('--disable-gpu')
    chrome_options.add_argument('--shm-size=1g')
    driver = webdriver.Chrome(chrome_options=chrome_options)

    driver.get(url)
    img_url = []
    path = "G:/mm/"  # 保存图片的路径

    data = driver.page_source

    soup = BeautifulSoup(data, "lxml")

    images = soup.select("a.view_img_link")

    print(images)

    for image in images:

        dynamic = image.get('href')

        # if str('gif') in str(dynamic):  #  去除gif
        #     pass
        # else:

        http_url = "http:" + dynamic
        img_url.append(http_url)
        # print("http:%s" % dynamic)


    for j in img_url:
        r = requests.get(j)

        print('正在下载 %s' % j)

        with open(path + j[-15:], 'wb')as jpg:
            jpg.write(r.content)


def tiebaSpider(url, beginPage, endPage):
    """
        beginPage : 起始页
        endPage : 结束页
    """
    for page in range(beginPage, endPage + 1):
        #filename = "第" + str(page) + "页.html"
        fullurl = url + "/page-" + str(page) + "#comments"
        # print (fullurl)
        loadPage(fullurl)
        #print (html)

        print("谢谢使用")

if __name__ == "__main__":
    kw = input("请输入需要爬取的内容: 1-搞笑，2-美女 :")

    if kw == '1':
        k = 'pic'
    else:
        k = 'ooxx'

    beginPage = int(input("请输入起始页："))
    endPage = int(input("请输入结束页："))

    # url = "http://jandan.net/pic/page-230#comments"
    url = "http://jandan.net/"

    fullurl = url + k
    # print(fullurl)
    tiebaSpider(fullurl, beginPage, endPage)